FreeBSD : cgit -- multiple vulnerabilities (62c0dbbd-bfce-11e5-b5fe-002590263bf5)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Jason A. Donenfeld reports :

Reflected Cross Site Scripting and Header Injection in Mimetype Query
String.

Stored Cross Site Scripting and Header Injection in Filename
Parameter.

Integer Overflow resulting in Buffer Overflow.

See also :

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=206417
http://lists.zx2c4.com/pipermail/cgit/2016-January/002817.html
http://www.openwall.com/lists/oss-security/2016/01/14/6
http://www.nessus.org/u?479c51db

Solution :

Update the affected package.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 88028 ()

Bugtraq ID:

CVE ID: CVE-2016-1899
CVE-2016-1900
CVE-2016-1901

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now